Search Results for

Show / Hide Table of Contents

# Class Editor

##### Inheritance

System.Object
Scenario
Editor

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Top
Scenario.Win
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.Run()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose(Boolean)
Scenario.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("Editor", "A Text Editor using the TextView control.")]
    [Scenario.ScenarioCategory("Controls")]
    [Scenario.ScenarioCategory("Dialogs")]
    [Scenario.ScenarioCategory("Text and Formatting")]
    [Scenario.ScenarioCategory("Top Level Windows")]
    [Scenario.ScenarioCategory("Files and IO")]
    [Scenario.ScenarioCategory("TextView")]
    public class Editor : Scenario, IDisposable

### Methods

#### Init(Toplevel, ColorScheme)

##### Declaration

    public override void Init(Toplevel top, ColorScheme colorScheme)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | top |
ColorScheme | colorScheme |

##### Overrides

Scenario.Init(Toplevel, ColorScheme)

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable